// @flow

/* Some fields can use the container to more easily add conistent error handling, and other functionality. */

// @flow

import React from 'react'
import { View, Text } from 'react-native'

// import SpeechBubble from '../common/SpeechBubble'

type CommonProps = {
  children: React.Element,
  input: Object,
  meta?: Object,
  id?: string,
  tiketContainers?: Object,
}

// type TextFieldProps = {
//   ...CommonProps,
//   label: string,
//   beforeElement?: any,
//   onKeyUp?: () => void,
// }

// const LabelContainer = styled.View`
//   position: absolute;
//   margin-left: 16;
//   max-width: 85;
//   bottom: 36;
//   z-index: 2;
//   background-color: ${props => props.labelBackgroundColor};
//   justify-content: center;
//   align-items: center;
//   padding-horizontal: 5;
// `

const classes = {
  label: {
    color: 'black',
    fontSize: '0.75em',
    width: '100%',
  },
  labelUnchecked: {
    padding: '16px 51px',
    border: '1px solid rgb(136, 136, 136)',
  },
  textField: {
    borderBottom: '1px solid #7c8c97',
  },
  textFieldContainer: {
    display: 'flex',
    flexDirection: 'column',
    color: 'black',
  },
  error: {
    fontSize: 12,
    color: 'red',
  },
  defaultContainerStyle: {
    minWidth: '33%',
    padding: '0.5em 0.5em 0 0.5em ',
    height: 69,
    width: '100%',
  },
}

const SwitchBadge = ({ status }) => <View>{status}</View>

const Container = ({
  verification,
  id,
  label,
  children,
  input,
  input: { name },
  meta: { touched, error },
  containerStyle,
  containers: { LabelContainer, Label, FieldContainer } = { LabelContainer: View, Label: Text, FieldContainer: View },
}: CommonProps) => {
  const showError = touched && error

  return (
    <FieldContainer id={id}>
      <LabelContainer htmlFor={`Checkbox_${input.name}`}>
        <Label style={classes.text}>{label}</Label>
      </LabelContainer>
      <View style={{ display: 'flex', flexDirection: 'row' }}>
        {children}
        {verification && <SwitchBadge status={verification} />}
      </View>
      {showError && (
        <Text id={`Fields_${name}-error`} style={classes.error}>
          {error}
        </Text>
      )}
    </FieldContainer>
  )
}

export default Container
