import React from 'react'
import styled from 'styled-components/native'

import { WHITE, BLUE, LIGHT_GRAY } from '../styles/theme'

const filterIcon = require('../assets/icons/icFilterBlueNotif.png')
const dateIcon = require('../assets/icons/icCalender.png')

const Container = styled.View`
  width: 157;
  height: 36;
  border-radius: 18;
  padding: 9px 16px;
  padding-top: 8;
  background-color: ${WHITE};
  flex-direction: row;
  justify-content: center;
  align-content: center;
  elevation: 3;
  shadow-color: #000;
  shadow-offset: 0px 3px;
  shadow-opacity: 0.4;
  shadow-radius: 6px;
`
const LeftSide = styled.View`
  flex: 1;
  border-style: solid;
  border-right-width: 1;
  border-color: ${LIGHT_GRAY};
  flex-direction: row;
  padding-right: 7;
  margin-right: 7;
`
const ButtonView = styled.TouchableOpacity`
  flex: 1;
  flex-direction: row;
  justify-content: center;
  align-content: center;
`
const Text = styled.Text`
  font-size: 14;
  line-height: 21;
  font-weight: 600;
  color: ${BLUE};
`
const Image = styled.Image`
  width: 16;
  height: 16;
  margin-right: 4;
  margin-top: 2;
`

const FloatingActionButton = props => {
  return (
    <Container {...props}>
      <LeftSide>
        <ButtonView onPress={props.onPressLeft}>
          <Image source={filterIcon} />
          <Text>Filter</Text>
        </ButtonView>
      </LeftSide>
      <ButtonView onPress={props.onPressRight}>
        <Image source={dateIcon} />
        <Text>Date</Text>
      </ButtonView>
    </Container>
  )
}

export default FloatingActionButton
