import React from 'react'
import renderer from 'react-test-renderer'
import Form from './FormBuilder'
import TextField from './TextField'

describe('FormBuiler', () => {
  test('should throw error without onSubmit', async () => {
    let wrapper

    try {
      renderer.create(<Form />)
    } catch (error) {
      wrapper = error
    }

    expect(wrapper.constructor.name).toBe('Error')
  })

  test('should throw when no other props', async () => {
    let wrapper

    try {
      wrapper = renderer.create(<Form onSubmit={() => {}} />)
    } catch (error) {
      wrapper = error
    }

    expect(wrapper.constructor.name).toBe('Error')
  })

  test('should render with onSubmit and one prop', () => {
    const wrapper = renderer.create(<Form onSubmit={() => {}} Name={TextField} />)

    expect(wrapper.toJSON().children[0].type).toBe('div')
  })

  test('should render fields of name prop name', () => {
    const wrapper = renderer.create(<Form onSubmit={() => {}} Name={TextField} />)

    const component = wrapper.toJSON().children[0].children[0].children[0].children[1].children[0]

    expect(component.props.name).toBe('name')
  })
})
