import React from 'react'
import { View, Text } from 'react-native'
import { storiesOf } from '@storybook/react-native'
import { Form, Field } from 'react-final-form'
import Button from './Button'
import validate from 'react-final-form-fields-validate'
import Input from './Fields/TextField'

const Demo = () => {
  const formSubmitHandler = values => {
    alert(JSON.stringify(values, null, 2))
  }

  return (
    <Form
      name="contactInfo"
      onSubmit={formSubmitHandler}
      validate={values => {
        if (values.phone !== '911') return 'Shut up'
      }}
      render={({ handleSubmit, error }) => {
        return (
          <View>
            {error && (
              <View>
                <Text>{error}</Text>
              </View>
            )}
            <Field name="phone" label="Name" style={{ border: '1px solid black' }} component={Input} />
            <Button onPress={handleSubmit}>Submit</Button>
          </View>
        )
      }}
    />
  )
}

storiesOf('Input', module).add('default', () => <Demo />)
