import React from 'react'
import { View, Text } from 'react-native'
import { storiesOf } from '@storybook/react-native'

import Button from './Button'
import Picker from './Picker'
import FormBuilder from './FormBuilder'

const exampleOptions = [
  { title: 'ap-west', value: 'ap-west' },
  { title: 'ca-central', value: 'ca-central' },
  { title: 'ap-southeast', value: 'ap-southeast' },
  { title: 'us-central', value: 'us-central' },
  { title: 'us-west', value: 'us-west' },
  { title: 'us-southeast', value: 'us-southeast' },
  { title: 'us-east', value: 'us-east' },
  { title: 'eu-west', value: 'eu-west' },
  { title: 'ap-south', value: 'ap-south' },
  { title: 'eu-central', value: 'eu-central' },
  { title: 'ap-northeast', value: 'ap-northeast' },
]

storiesOf('Picker', module).add('Empty', () => (
  <FormBuilder
    onSubmit={console.log}
    Example={{
      component: Picker,
      options: { options: exampleOptions },
    }}
    Button={{
      component: Button,
      options: {
        render: () => (
          <View>
            <Text>Submit</Text>
          </View>
        ),
      },
    }}
  />
))
