import React from 'react'
import { TouchableOpacity, TouchableWithoutFeedback } from 'react-native'
import styled from 'styled-components/native'

// Tiket color imports
import { BLUE, MEDIUM_GRAY } from '../styles/theme'

const unCheckedBgColor = '#E5E9F3'

const OuterRing = styled.View`
  width: 18;
  height: 18;
  border-radius: 9;
  justify-content: center;
  align-items: center;
  border-style: solid;
  border-color: ${({ value }) => (value ? BLUE : MEDIUM_GRAY)};
  border-width: ${({ value }) => (value ? 2 : 0.5)};
`
const InnerRing = styled.View`
  width: 10;
  height: 10;
  border-radius: 5;
  background-color: ${BLUE};
`

const RadioButton = ({ input, input: { onChange, value } }) => {
  const onPress = () => onChange(!value)

  return (
    <>
      {value ? (
        <TouchableWithoutFeedback {...input} onPress={onPress}>
          <OuterRing value={value}>
            <InnerRing></InnerRing>
          </OuterRing>
        </TouchableWithoutFeedback>
      ) : (
        <TouchableOpacity {...input} onPress={onPress}>
          <OuterRing value={value} style={{ backgroundColor: unCheckedBgColor }} />
        </TouchableOpacity>
      )}
    </>
  )
}

export default RadioButton
